### A free/open-source library for quantitative finance

Public Member Functions
CmsCouponPricer Class Reference

base pricer for vanilla CMS coupons More...

`#include <ql/cashflows/couponpricer.hpp>`

Inheritance diagram for CmsCouponPricer:
[legend]

List of all members.

## Public Member Functions

| CmsCouponPricer (const Handle< SwaptionVolatilityStructure > &v=Handle< SwaptionVolatilityStructure >())
Handle < SwaptionVolatilityStructure > | swaptionVolatility () const
void | setSwaptionVolatility (const Handle< SwaptionVolatilityStructure > &v=Handle< SwaptionVolatilityStructure >())

## Detailed Description

base pricer for vanilla CMS coupons